summaryrefslogtreecommitdiffstats
path: root/deps/telepathy/telepathy-qt5/telepathy-qt5.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/telepathy/telepathy-qt5/telepathy-qt5.SlackBuild')
-rwxr-xr-xdeps/telepathy/telepathy-qt5/telepathy-qt5.SlackBuild20
1 files changed, 10 insertions, 10 deletions
diff --git a/deps/telepathy/telepathy-qt5/telepathy-qt5.SlackBuild b/deps/telepathy/telepathy-qt5/telepathy-qt5.SlackBuild
index 4002753..f8bd93f 100755
--- a/deps/telepathy/telepathy-qt5/telepathy-qt5.SlackBuild
+++ b/deps/telepathy/telepathy-qt5/telepathy-qt5.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2015, 2016 Eric Hameleers, Eindhoven, NL
+# Copyright 2015, 2016, 2017 Eric Hameleers, Eindhoven, NL
# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -24,15 +24,15 @@
PKGNAM=telepathy-qt5
SRCNAM=telepathy-qt
-VERSION=${VERSION:-0.9.6.1}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-0.9.7}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:--j7}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$(uname -m) ;;
@@ -40,8 +40,8 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
@@ -70,10 +70,10 @@ rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
cd $SRCNAM-$VERSION || exit 1
-# Compensate for the new glibc:
-cat $CWD/patches/glibc-2.20.patch | patch -p1 --verbose || exit 1
-# Compensate for the new gstreamer-1.0:
-cat $CWD/patches/gstreamer-1.0.patch | patch -p1 --verbose || exit 1
+## Compensate for the new glibc:
+#cat $CWD/patches/glibc-2.20.patch | patch -p1 --verbose || exit 1
+## Compensate for the new gstreamer-1.0:
+#cat $CWD/patches/gstreamer-1.0.patch | patch -p1 --verbose || exit 1
chown -R root:root .
find . \